<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inputs</title>
</head>
<body>
    <form >
        <section>
            <p>Datalist</p>
            <fieldset>
                <label for="inputLista">Lista de colores</label>
                <input list="listacolores" name="inputLista">
                <datalist id="listacolores">
                    <option value="Azul">
                    <option value="Rojo">
                    <option value="Amarillo">
                    <option value="Negro">
                    <option value="Blanco">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Url input</p>
            <fieldset>
                <label for="url">Lista urls</label>
                <input type="url" id="url" name="url" 
                    placeholder="httpss://example.com"
                    pattern="https://.*" size="30"
                    list="listaurls" required>
                <datalist id="listaurls">
                    <option value="https://www.google.com" label="by google">
                    <option value="https://wwww.msn.com" label="by ms">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Range</p>
            <fieldset>
                <label for="range">Rangos</label>
                <input type="range" list="listanums" step="1" name="range" max="6" min="0">
                <datalist id="listanums">
                    <option value="0" label="cero">
                    <option value="1" label="uno">
                    <option value="2" label="dos">
                    <option value="3" label="tres">
                    <option value="4" label="cuatro">                           
                    <option value="5" label="cinco">
                </datalist>
            </fieldset>
        </section>
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="limpiar">
    </form>
</body>
</html>